import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 占位组件
class FPlaceholder extends Placeholder implements FWidget {
  const FPlaceholder({
    Key? key,
    double strokeWidth = 2.0,
    double fallbackWidth = 400.0,
    double fallbackHeight = 400.0,
    Color color = const Color(0xFF455A64),
  }) : super(
          key: key,
          strokeWidth: strokeWidth,
          fallbackWidth: fallbackWidth,
          fallbackHeight: fallbackHeight,
          color: color,
        );
}
