import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 对子元素进行合适的缩放和定位
class FFittedBox extends FittedBox implements FWidget {
  const FFittedBox({
    Key? key,
    BoxFit fit = BoxFit.contain,
    Alignment alignment = Alignment.center,
    Clip clipBehavior = Clip.none,
    FWidget? child,
  }) : super(
          key: key,
          fit: fit,
          alignment: alignment,
          clipBehavior: clipBehavior,
          child: child,
        );
}
