import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 椭圆裁剪
class FClipOval extends ClipOval implements FWidget {
  const FClipOval({
    Key? key,
    CustomClipper<Rect>? clipper,
    Clip clipBehavior = Clip.antiAlias,
    FWidget? child,
  }) : super(
          key: key,
          clipper: clipper,
          clipBehavior: clipBehavior,
          child: child,
        );
}

/// 圆角矩形裁剪
class FClipRRect extends ClipRRect implements FWidget {
  const FClipRRect({
    Key? key,
    BorderRadius borderRadius = BorderRadius.zero,
    CustomClipper<RRect>? clipper,
    Clip clipBehavior = Clip.antiAlias,
    Widget? child,
  }) : super(
          key: key,
          child: child,
          borderRadius: borderRadius,
          clipper: clipper,
          clipBehavior: clipBehavior,
        );
}
