import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

/// 鼠标监听区域
class FMouseRegion extends MouseRegion implements FWidget {
  const FMouseRegion({
    Key? key,
    PointerEnterEventListener? onEnter,
    PointerExitEventListener? onExit,
    PointerHoverEventListener? onHover,
    MouseCursor cursor = MouseCursor.defer,
    bool opaque = true,
    FWidget? child,
  }) : super(
          key: key,
          onEnter: onEnter,
          onExit: onExit,
          onHover: onHover,
          cursor: cursor,
          opaque: opaque,
          child: child,
        );
}
