import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 流式布局
class FWrap extends Wrap implements FWidget {
  FWrap({
    Key? key,
    TextDirection? textDirection,
    Axis direction = Axis.horizontal,
    VerticalDirection verticalDirection = VerticalDirection.down,
    WrapAlignment alignment = WrapAlignment.start,
    double runSpacing = 0.0,
    WrapAlignment runAlignment = WrapAlignment.start,
    double spacing = 0.0,
    WrapCrossAlignment crossAlignment = WrapCrossAlignment.start,
    Clip clipBehavior = Clip.none,
    List<FWidget> children = const [],
  }) : super(
          key: key,
          textDirection: textDirection,
          direction: direction,
          verticalDirection: verticalDirection,
          alignment: alignment,
          runSpacing: runSpacing,
          runAlignment: runAlignment,
          spacing: spacing,
          crossAxisAlignment: crossAlignment,
          clipBehavior: clipBehavior,
          children: children,
        );
}
