import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:getwidget/getwidget.dart';

class FProgeressbar extends GFProgressBar implements FWidget {
  FProgeressbar({
    Key? key,
    margin = const EdgeInsets.only(left: 10, right: 10),
    percentage = 0.2,
    circleWidth = 5.0,
    circleStartAngle = 0.0,
    radius,
    backgroundColor = const Color(0xFFB8C7CB),
    progressBarColor = Colors.red,
    linearGradient,
    animation = false,
    animationDuration = 700,
    child,
    autoLive = true,
    animateFromLastPercentage = false,
    reverse = false,
    mask,
    type = GFProgressType.linear,
    progressHeadType,
    lineHeight = 5.0,
    width,
    fromRightToLeft = false,
    leading,
    trailing,
    padding,
    alignment = MainAxisAlignment.start,
    clipLinearGradient = false,
  }) : super(
          key: key,
          margin: margin,
          percentage: percentage,
          circleWidth: circleWidth,
          circleStartAngle: circleStartAngle,
          radius: radius,
          backgroundColor: backgroundColor,
          progressBarColor: progressBarColor,
          linearGradient: linearGradient,
          animation: animation,
          animationDuration: animationDuration,
          child: child,
          autoLive: autoLive,
          animateFromLastPercentage: animateFromLastPercentage,
          reverse: reverse,
          mask: mask,
          type: type,
          progressHeadType: progressHeadType,
          lineHeight: lineHeight,
          width: width,
          fromRightToLeft: fromRightToLeft,
          leading: leading,
          trailing: trailing,
          padding: padding,
          alignment: alignment,
          clipLinearGradient: clipLinearGradient,
        );
}
