import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 隔离重绘组件
class FRepaintBoundary extends RepaintBoundary implements FWidget {
  const FRepaintBoundary({
    Key? key,
    FWidget? child,
  }) : super(
          key: key,
          child: child,
        );

  static List<RepaintBoundary> wrapAll(List<FWidget> widgets) {
    return RepaintBoundary.wrapAll(widgets);
  }

  static FRepaintBoundary wrap(FWidget child, int childIndex) {
    return RepaintBoundary.wrap(child, childIndex) as FRepaintBoundary;
  }
}
