import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 脚手架
class FDrawer extends Drawer implements FWidget {
  const FDrawer({
    Key? key,
    Color? backgroundColor,
    double? elevation,
    Color? shadowColor,
    Color? surfaceTintColor,
    ShapeBorder? shape,
    double? width,
    Widget? child,
    String? semanticLabel,
  }) : super(
          key: key,
          backgroundColor: backgroundColor,
          elevation: elevation,
          shadowColor: shadowColor,
          surfaceTintColor: surfaceTintColor,
          shape: shape,
          width: width,
          child: child,
          semanticLabel: semanticLabel,
        );
}
