import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

class FRefreshIndicator extends RefreshIndicator implements FWidget {
  FRefreshIndicator({
    Key? key,
    required FWidget child,
    double displacement = 40.0,
    double edgeOffset = 0.0,
    required RefreshCallback onRefresh,
    Color? color,
    Color? backgroundColor,
    bool Function(ScrollNotification) notificationPredicate =
        defaultScrollNotificationPredicate,
    String? semanticsLabel,
    String? semanticsValue,
    double strokeWidth = RefreshProgressIndicator.defaultStrokeWidth,
    RefreshIndicatorTriggerMode triggerMode =
        RefreshIndicatorTriggerMode.onEdge,
  }) : super(
          key: key,
          onRefresh: onRefresh,
          child: child,
          displacement: displacement,
          edgeOffset: edgeOffset,
          color: color,
          backgroundColor: backgroundColor,
          notificationPredicate: notificationPredicate,
          semanticsLabel: semanticsLabel,
          semanticsValue: semanticsValue,
          strokeWidth: strokeWidth,
          triggerMode: triggerMode,
        );
}
