import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// F组件壳子
class FWidgetShell extends StatelessWidget implements FWidget {
  final Widget child;

  const FWidgetShell(this.child);

  @override
  Widget build(BuildContext context) {
    return child;
  }

  static FWidget? createFWidget(Widget? child) {
    if (child == null) return null;
    return FWidgetShell(child);
  }
}
