import 'package:fis_common/logger/logger.dart';
import 'package:fis_ui/define.dart';

import 'interactive_container.dart';

///可交互的组件
abstract class FActiveWidget extends FWidget {
  FActiveWidget({
    required this.businessParent,
    this.name,
  });

  ///父级业务模块（所在模块）
  final FInteractiveContainer businessParent;

  ///名称
  final String? name;

  ///记录活动事件(点击、拖拽等行为记log)
  static void logActiveEvents(String pageName, String name) {
    logger.i(pageName + '/' + name);
  }
}
