import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

/// 日期组件
class FCalendarDatePicker extends CalendarDatePicker implements FWidget {
  FCalendarDatePicker({
    Key? key,
    required DateTime initialDate,
    required DateTime firstDate,
    required DateTime lastDate,
    DateTime? currentDate,
    required ValueChanged<DateTime> onDateChanged,
    ValueChanged<DateTime>? onDisplayedMonthChanged,
    DatePickerMode initialCalendarMode = DatePickerMode.day,
    SelectableDayPredicate? selectableDayPredicate,
  }) : super(
          key: key,
          initialDate: initialDate,
          firstDate: firstDate,
          lastDate: lastDate,
          currentDate: currentDate,
          onDateChanged: onDateChanged,
          onDisplayedMonthChanged: onDisplayedMonthChanged,
          initialCalendarMode: initialCalendarMode,
          selectableDayPredicate: selectableDayPredicate,
        );
}
