import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 横向分隔线
class FDivider extends Divider implements FWidget {
  const FDivider({
    Key? key,
    double? height,
    double? thickness,
    double? indent,
    double? endIndent,
    Color? color,
  }) : super(
          key: key,
          height: height,
          thickness: thickness,
          indent: indent,
          endIndent: endIndent,
          color: color,
        );
}

/// 竖向分隔线
class FVerticalDivider extends VerticalDivider implements FWidget {
  const FVerticalDivider({
    Key? key,
    double? width,
    double? thickness,
    double? indent,
    double? endIndent,
    Color? color,
  }) : super(
          key: key,
          width: width,
          thickness: thickness,
          indent: indent,
          endIndent: endIndent,
          color: color,
        );
}
