import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

typedef FLayoutWidgetBuilder = FWidget Function(
    BuildContext context, BoxConstraints constraints);

/// 延迟到布局时创建组件
class FLayoutBuilder extends LayoutBuilder implements FWidget {
  const FLayoutBuilder({
    Key? key,
    required FLayoutWidgetBuilder builder,
  }) : super(
          key: key,
          builder: builder,
        );
}
