import 'package:fis_ui/define.dart';
import 'package:flutter/widgets.dart';

/// 居中容器
class FCenter extends Align implements FWidget {
  /// 居中容器
  const FCenter({
    Key? key,
    double? widthFactor,
    double? heightFactor,
    FWidget? child,
  }) : super(
          key: key,
          widthFactor: widthFactor,
          heightFactor: heightFactor,
          child: child,
        );
}

/// 对齐排列容器
class FAlign extends Align implements FWidget {
  const FAlign({
    Key? key,
    AlignmentGeometry alignment = Alignment.center,
    double? widthFactor,
    double? heightFactor,
    FWidget? child,
  }) : super(
          key: key,
          alignment: alignment,
          widthFactor: widthFactor,
          heightFactor: heightFactor,
          child: child,
        );
}
