import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 对子组件施加额外约束的组件
class FConstrainedBox extends ConstrainedBox implements FWidget {
  /// 对子组件施加额外约束的组件
  ///
  /// [constraints] 约束
  ///
  /// [child] 子组件
  FConstrainedBox({
    required BoxConstraints constraints,
    Key? key,
    FWidget? child,
  }) : super(
          key: key,
          child: child,
          constraints: constraints,
        );
}
