import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 卡片组件
class FCard extends Card implements FWidget {
  const FCard({
    Key? key,
    Color? color,
    Color? shadowColor,
    double? elevation,
    ShapeBorder? shape,
    bool borderOnForeground = true,
    EdgeInsetsGeometry? margin,
    Clip? clipBehavior,
    FWidget? child,
    bool semanticContainer = true,
  }) : super(
          key: key,
          color: color,
          shadowColor: shadowColor,
          elevation: elevation,
          shape: shape,
          borderOnForeground: borderOnForeground,
          margin: margin,
          clipBehavior: clipBehavior,
          child: child,
          semanticContainer: semanticContainer,
        );
}
