import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 图标组件
class FIcon extends Icon implements FWidget {
  /// 图标组件
  ///
  /// [icon] 图标字体数据
  ///
  /// [color] 颜色
  ///
  /// [size] 尺寸
  const FIcon(
    IconData icon, {
    Key? key,
    Color? color,
    double? size,
  }) : super(
          icon,
          color: color,
          size: size,
        );
}
