import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 适应子组件宽度
class FIntrinsicWidth extends IntrinsicWidth implements FWidget {
  const FIntrinsicWidth({
    Key? key,
    double? stepWidth,
    double? stepHeight,
    FWidget? child,
  }) : super(
          key: key,
          child: child,
          stepWidth: stepWidth,
          stepHeight: stepHeight,
        );
}

/// 适应子组件高度
class FIntrinsicHeight extends IntrinsicHeight implements FWidget {
  const FIntrinsicHeight({
    Key? key,
    FWidget? child,
  }) : super(
          key: key,
          child: child,
        );
}
