import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

class FTransform extends Transform implements FWidget {
  const FTransform({
    Key? key,
    required Matrix4 transform,
    Offset? origin,
    AlignmentGeometry? alignment,
    bool transformHitTests = true,
    FilterQuality? filterQuality,
    FWidget? child,
  }) : super(
          key: key,
          transform: transform,
          origin: origin,
          alignment: alignment,
          transformHitTests: transformHitTests,
          filterQuality: filterQuality,
          child: child,
        );

  FTransform.translate({
    Key? key,
    required Offset offset,
    bool transformHitTests = true,
    FilterQuality? filterQuality,
    FWidget? child,
  }) : super.translate(
          key: key,
          transformHitTests: transformHitTests,
          offset: offset,
          filterQuality: filterQuality,
          child: child,
        );
}
