import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 安全区域
class FSafeArea extends SafeArea implements FWidget {
  const FSafeArea({
    Key? key,
    required FWidget child,
    bool left = true,
    bool top = true,
    bool right = true,
    bool bottom = true,
    EdgeInsets minimum = EdgeInsets.zero,
    bool maintainBottomViewPadding = false,
  }) : super(
          key: key,
          child: child,
          left: left,
          top: top,
          right: right,
          bottom: bottom,
          minimum: minimum,
          maintainBottomViewPadding: maintainBottomViewPadding,
        );
}
