import 'package:fis_ui/define.dart';
import 'package:flutter/material.dart';

/// 滚动条
class FScrollbar extends Scrollbar implements FWidget {
  const FScrollbar({
    Key? key,
    required FWidget child,
    ScrollController? controller,
    bool? isAlwaysShown,
    bool? trackVisibility,
    bool? thumbVisibility,
    bool? showTrackOnHover,
    double? hoverThickness,
    double? thickness,
    Radius? radius,
    ScrollNotificationPredicate? notificationPredicate,
    bool? interactive,
    ScrollbarOrientation? scrollbarOrientation,
  }) : super(
          key: key,
          child: child,
          controller: controller,
          isAlwaysShown: isAlwaysShown,
          thumbVisibility:thumbVisibility,
          trackVisibility: trackVisibility,
          showTrackOnHover: showTrackOnHover,
          hoverThickness: hoverThickness,
          thickness: thickness,
          radius: radius,
          notificationPredicate: notificationPredicate,
          interactive: interactive,
          scrollbarOrientation: scrollbarOrientation,
        );
}
