import 'package:fis_ui/index.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter_slidable/flutter_slidable.dart';

class FSlidable extends Slidable implements FWidget {
  FSlidable({
    Key? key,
    Object? groupTag,
    bool enabled = true,
    bool closeOnScroll = true,
    ActionPane? startActionPane,
    ActionPane? endActionPane,
    Axis direction = Axis.horizontal,
    DragStartBehavior dragStartBehavior = DragStartBehavior.down,
    bool useTextDirection = true,
    required child,
  }) : super(
          key: key,
          groupTag: groupTag,
          enabled: enabled,
          startActionPane: startActionPane,
          endActionPane: endActionPane,
          direction: direction,
          dragStartBehavior: dragStartBehavior,
          useTextDirection: useTextDirection,
          child: child,
        );
}
